View Issue Details

IDProjectCategoryLast Update
0024610AI War 2[All Projects] Bug - GameplayApr 9, 2021 9:39 pm
ReporterEcthelonAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.763 QoL Explosion 
Fixed in Version2.800 The Paradigm Shift 
Summary0024610: Allied marauders will occasionally attack AI command stations unprompted.
DescriptionI've seen a few systems without a command station in previous games with allied marauders (pretty rare but a few across the galaxy by the end) and never noticed how it happened. Now I managed to catch it in action.

In the attached save at 3 hours 26 mins, as soon as I unpause, Marauder turrets destroy one or more command station. Planets I've seen this happen on include Hori, Invincible and XFA but it's not the same planets every time.

This happened on planet Hori when I played it through the first time and every time I load that save.

However, loading an older autosave doesn't seem to make it happen.


TagsNo tags attached.

Activities

Ecthelon

Mar 26, 2021 1:23 pm

reporter  

Autosave at 3h 26m 0s.save (1,614,164 bytes)

BadgerBadger

Apr 5, 2021 12:03 am

manager   ~0061010

Does it happen immediately after the game load?

Zweihander2021

Apr 5, 2021 3:57 pm

reporter   ~0061014

Do you have allies destroy AI command stations turned on? If not, this is a bug. I do notice that Allied marauders attack anything and everything, without too much consideration of the AI's defensive strengths, generating massive amounts of threat. I think their AI needs a bit of tuning along with stat buffs to make allied marauders the scourge-lite that they are

Ecthelon

Apr 5, 2021 5:58 pm

reporter   ~0061015

The allies were not set to destroy AI command stations.

Ecthelon

Apr 5, 2021 6:00 pm

reporter   ~0061016

Yes for me it occured the instant I resume time after loading that save.

BadgerBadger

Apr 9, 2021 9:39 pm

manager   ~0061074

Fixed a possible timing condition that could allow player-allied marauders to snipe command stations

Issue History

Date Modified Username Field Change
Mar 26, 2021 1:22 pm Ecthelon New Issue
Mar 26, 2021 1:23 pm Ecthelon File Added: Autosave at 3h 26m 0s.save
Apr 5, 2021 12:03 am BadgerBadger Note Added: 0061010
Apr 5, 2021 3:57 pm Zweihander2021 Note Added: 0061014
Apr 5, 2021 5:58 pm Ecthelon Note Added: 0061015
Apr 5, 2021 6:00 pm Ecthelon Note Added: 0061016
Apr 9, 2021 9:39 pm BadgerBadger Assigned To => BadgerBadger
Apr 9, 2021 9:39 pm BadgerBadger Status new => resolved
Apr 9, 2021 9:39 pm BadgerBadger Resolution open => fixed
Apr 9, 2021 9:39 pm BadgerBadger Fixed in Version => 2.800 The Paradigm Shift
Apr 9, 2021 9:39 pm BadgerBadger Note Added: 0061074